Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.ivy
[Java] Interface IvyDependency

    @Incubating
    @HasInternalProtocol
    public interface IvyDependency

A module dependency declared in an ivy dependency descriptor published as part of an IvyPublication.

Method Summary
`String` | `getConfMapping()` The configuration mapping string that will be output for this dependency.
`String` | `getModule()` The module value for this dependency.
`String` | `getOrganisation()` The organisation value for this dependency.
`String` | `getRevision()` The revision value for this dependency.

Method Detail

### getConfMapping

    public String getConfMapping()

  The configuration mapping string that will be output for this dependency. A null value indicates that no "conf" attribute will be written for this dependency.
  Returns:
    the configuration mapping

### getModule

    public String getModule()

  The module value for this dependency.

### getOrganisation

    public String getOrganisation()

  The organisation value for this dependency.

### getRevision

    public String getRevision()

  The revision value for this dependency.

Gradle API 1.10